Security Lab

Переполнение буфера в MySQL

Дата публикации:07.10.2002
Дата изменения:01.05.2008
Всего просмотров:790
Опасность:
Низкая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Локальная
Воздействие: Повышение привилегий
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: MySQL 3.x
MySQL 4.x
Уязвимые версии: MySQL версии до 3.23.50 и 4.0.2

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке параметра 'datadir' в конфигурационном файле 'my.ini', который доступен для записи всем пользователям на Windows системе. Локальный пользователь может с помощью специально сформированного параметра вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: www.mysql.com

Решение: Установите последнюю версию 3.23.50 или 4.0.2 с сайта производителя.

Ссылки: wp-02-0003: MySQL Locally Exploitable Buffer Overflow